org.apache.xalan.xsltc

## Interface DOM

All Known Subinterfaces:
  DOMEnhancedForDTM

All Known Implementing Classes:
  AdaptiveResultTreeImpl, DOMAdapter, MultiDOM, SAXImpl, SimpleResultTreeImpl

    public interface DOM

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

### Field Summary

Fields
`static int` `ADAPTIVE_RTF`
`static int` `FIRST_TYPE`
`static int` `NO_TYPE`
`static int` `NULL`
`static int` `RETURN_CURRENT`
`static int` `RETURN_PARENT`
`static int` `SIMPLE_RTF`
`static int` `TREE_RTF`

### Method Summary

Methods
`void` `characters(int textNode, SerializationHandler handler)`
`void` `copy(DTMAxisIterator nodes, SerializationHandler handler)`
`void` `copy(int node, SerializationHandler handler)`
`int` `getAttributeNode(int gType, int element)`
`DTMAxisIterator` `getAxisIterator(int axis)`
`DTMAxisIterator` `getChildren(int node)`
`int` `getDocument()`
`java.lang.String` `getDocumentURI(int node)`
`Hashtable` `getElementsWithIDs()`
`int` `getExpandedTypeID(int node)`
`DTMAxisIterator` `getIterator()` returns singleton iterator containg the document root
`java.lang.String` `getLanguage(int node)`
`DTMAxisIterator` `getNamespaceAxisIterator(int axis, int ns)`
`java.lang.String` `getNamespaceName(int node)`
`int` `getNamespaceType(int node)`
`int` `getNodeHandle(int nodeId)`
`int` `getNodeIdent(int nodehandle)`
`java.lang.String` `getNodeName(int node)`
`java.lang.String` `getNodeNameX(int node)`
`DTMAxisIterator` `getNodeValueIterator(DTMAxisIterator iter, int returnType, java.lang.String value, boolean op)`
`int` `getNSType(int node)`
`DTMAxisIterator` `getNthDescendant(int node, int n, boolean includeself)`
`SerializationHandler` `getOutputDomBuilder()`
`int` `getParent(int node)`
`DOM` `getResultTreeFrag(int initialSize, int rtfType)`
`DOM` `getResultTreeFrag(int initialSize, int rtfType, boolean addToDTMManager)`
`int` `getSize()`
`java.lang.String` `getStringValue()`
`java.lang.String` `getStringValueX(int node)`
`DTMAxisIterator` `getTypedAxisIterator(int axis, int type)`
`DTMAxisIterator` `getTypedChildren(int type)`
`java.lang.String` `getUnparsedEntityURI(java.lang.String name)`
`boolean` `isAttribute(int node)`
`boolean` `isElement(int node)`
`boolean` `lessThan(int node1, int node2)`
`java.lang.String` `lookupNamespace(int node, java.lang.String prefix)`
`Node` `makeNode(DTMAxisIterator iter)`
`Node` `makeNode(int index)`
`NodeList` `makeNodeList(DTMAxisIterator iter)`
`NodeList` `makeNodeList(int index)`
`DTMAxisIterator` `orderNodes(DTMAxisIterator source, int node)`
`void` `setFilter(StripFilter filter)`
`void` `setupMapping(java.lang.String[] names, java.lang.String[] urisArray, int[] typesArray, java.lang.String[] namespaces)`
`java.lang.String` `shallowCopy(int node, SerializationHandler handler)`

### Field Detail

#### FIRST_TYPE

    static final int FIRST_TYPE

See Also:
  Constant Field Values

#### NO_TYPE

    static final int NO_TYPE

See Also:
  Constant Field Values

#### NULL

    static final int NULL

See Also:
  Constant Field Values

#### RETURN_CURRENT

    static final int RETURN_CURRENT

See Also:
  Constant Field Values

#### RETURN_PARENT

    static final int RETURN_PARENT

See Also:
  Constant Field Values

#### SIMPLE_RTF

    static final int SIMPLE_RTF

See Also:
  Constant Field Values

#### ADAPTIVE_RTF

    static final int ADAPTIVE_RTF

See Also:
  Constant Field Values

#### TREE_RTF

    static final int TREE_RTF

See Also:
  Constant Field Values

### Method Detail

#### getIterator

    DTMAxisIterator getIterator()

returns singleton iterator containg the document root

#### getStringValue

    java.lang.String getStringValue()

#### getChildren

    DTMAxisIterator getChildren(int node)

#### getTypedChildren

    DTMAxisIterator getTypedChildren(int type)

#### getAxisIterator

    DTMAxisIterator getAxisIterator(int axis)

#### getTypedAxisIterator

    DTMAxisIterator getTypedAxisIterator(int axis,
                                       int type)

#### getNthDescendant

    DTMAxisIterator getNthDescendant(int node,
                                   int n,
                                   boolean includeself)

#### getNamespaceAxisIterator

    DTMAxisIterator getNamespaceAxisIterator(int axis,
                                           int ns)

#### getNodeValueIterator

    DTMAxisIterator getNodeValueIterator(DTMAxisIterator iter,
                                       int returnType,
                                       java.lang.String value,
                                       boolean op)

#### orderNodes

    DTMAxisIterator orderNodes(DTMAxisIterator source,
                             int node)

#### getNodeName

    java.lang.String getNodeName(int node)

#### getNodeNameX

    java.lang.String getNodeNameX(int node)

#### getNamespaceName

    java.lang.String getNamespaceName(int node)

#### getExpandedTypeID

    int getExpandedTypeID(int node)

#### getNamespaceType

    int getNamespaceType(int node)

#### getParent

    int getParent(int node)

#### getAttributeNode

    int getAttributeNode(int gType,
                       int element)

#### getStringValueX

    java.lang.String getStringValueX(int node)

#### copy

    void copy(int node,
            SerializationHandler handler)
              throws TransletException

Throws:
  `TransletException`

#### copy

    void copy(DTMAxisIterator nodes,
            SerializationHandler handler)
              throws TransletException

Throws:
  `TransletException`

#### shallowCopy

    java.lang.String shallowCopy(int node,
                               SerializationHandler handler)
                                 throws TransletException

Throws:
  `TransletException`

#### lessThan

    boolean lessThan(int node1,
                   int node2)

#### characters

    void characters(int textNode,
                  SerializationHandler handler)
                    throws TransletException

Throws:
  `TransletException`

#### makeNode

    Node makeNode(int index)

#### makeNode

    Node makeNode(DTMAxisIterator iter)

#### makeNodeList

    NodeList makeNodeList(int index)

#### makeNodeList

    NodeList makeNodeList(DTMAxisIterator iter)

#### getLanguage

    java.lang.String getLanguage(int node)

#### getSize

    int getSize()

#### getDocumentURI

    java.lang.String getDocumentURI(int node)

#### setFilter

    void setFilter(StripFilter filter)

#### setupMapping

    void setupMapping(java.lang.String[] names,
                    java.lang.String[] urisArray,
                    int[] typesArray,
                    java.lang.String[] namespaces)

#### isElement

    boolean isElement(int node)

#### isAttribute

    boolean isAttribute(int node)

#### lookupNamespace

    java.lang.String lookupNamespace(int node,
                                   java.lang.String prefix)
                                     throws TransletException

Throws:
  `TransletException`

#### getNodeIdent

    int getNodeIdent(int nodehandle)

#### getNodeHandle

    int getNodeHandle(int nodeId)

#### getResultTreeFrag

    DOM getResultTreeFrag(int initialSize,
                        int rtfType)

#### getResultTreeFrag

    DOM getResultTreeFrag(int initialSize,
                        int rtfType,
                        boolean addToDTMManager)

#### getOutputDomBuilder

    SerializationHandler getOutputDomBuilder()

#### getNSType

    int getNSType(int node)

#### getDocument

    int getDocument()

#### getUnparsedEntityURI

    java.lang.String getUnparsedEntityURI(java.lang.String name)

#### getElementsWithIDs

    Hashtable getElementsWithIDs()